Cadense

Get Pause Context

Get detailed information about a specific pause context within a paused execution. Returns the pause point details, resume queue state, and any active resume entry.

GET
/api/resume/{workflowId}/{executionId}/{contextId}
X-API-Key<token>

Your Cadense API key (personal or workspace). Generate one from the Cadense dashboard under Settings > API Keys.

In: header

Path Parameters

workflowId*string

The unique identifier of the workflow.

executionId*string

The execution ID of the paused execution.

contextId*string

The pause context ID to retrieve details for.

Response Body

application/json

application/json

application/json

application/json

curl -X GET \  "https://cadense.io/api/resume/{workflowId}/{executionId}/{contextId}" \  -H "X-API-Key: YOUR_API_KEY"
{  "execution": {    "id": "string",    "workflowId": "string",    "executionId": "string",    "status": "string",    "totalPauseCount": 0,    "resumedCount": 0,    "pausedAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "metadata": {},    "triggerIds": [      "string"    ],    "pausePoints": [      {        "contextId": "string",        "blockId": "string",        "response": null,        "registeredAt": "2019-08-24T14:15:22Z",        "resumeStatus": "paused",        "snapshotReady": true,        "resumeLinks": {          "apiUrl": "http://example.com",          "uiUrl": "http://example.com",          "contextId": "string",          "executionId": "string",          "workflowId": "string"        },        "queuePosition": 0,        "latestResumeEntry": {          "id": "string",          "pausedExecutionId": "string",          "parentExecutionId": "string",          "newExecutionId": "string",          "contextId": "string",          "resumeInput": null,          "status": "string",          "queuedAt": "2019-08-24T14:15:22Z",          "claimedAt": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z",          "failureReason": "string"        },        "parallelScope": {          "parallelId": "string",          "branchIndex": 0,          "branchTotal": 0        },        "loopScope": {          "loopId": "string",          "iteration": 0        }      }    ]  },  "pausePoint": {    "contextId": "string",    "blockId": "string",    "response": null,    "registeredAt": "2019-08-24T14:15:22Z",    "resumeStatus": "paused",    "snapshotReady": true,    "resumeLinks": {      "apiUrl": "http://example.com",      "uiUrl": "http://example.com",      "contextId": "string",      "executionId": "string",      "workflowId": "string"    },    "queuePosition": 0,    "latestResumeEntry": {      "id": "string",      "pausedExecutionId": "string",      "parentExecutionId": "string",      "newExecutionId": "string",      "contextId": "string",      "resumeInput": null,      "status": "string",      "queuedAt": "2019-08-24T14:15:22Z",      "claimedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "failureReason": "string"    },    "parallelScope": {      "parallelId": "string",      "branchIndex": 0,      "branchTotal": 0    },    "loopScope": {      "loopId": "string",      "iteration": 0    }  },  "queue": [    {      "id": "string",      "pausedExecutionId": "string",      "parentExecutionId": "string",      "newExecutionId": "string",      "contextId": "string",      "resumeInput": null,      "status": "string",      "queuedAt": "2019-08-24T14:15:22Z",      "claimedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "failureReason": "string"    }  ],  "activeResumeEntry": {    "id": "string",    "pausedExecutionId": "string",    "parentExecutionId": "string",    "newExecutionId": "string",    "contextId": "string",    "resumeInput": null,    "status": "string",    "queuedAt": "2019-08-24T14:15:22Z",    "claimedAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z",    "failureReason": "string"  }}
On this page

On this page

No Headings